%define debug_package %{nil}

Name:           ocaml-ocamlgraph
Version:        1.8.6
Release:        %mkrel 2
Summary:        OCaml library for arc and node graphs

Group:          Development/OCaml
License:        LGPLv2 with exceptions

URL:            http://ocamlgraph.lri.fr/
#Project:       https://github.com/backtracking/ocamlgraph
Source0:        http://ocamlgraph.lri.fr/download/ocamlgraph-%{version}.tar.gz
Source1:        ocamlgraph-test.result

BuildRequires:  ocaml-compiler
BuildRequires:  ocaml-findlib
BuildRequires:  ocaml-doc
BuildRequires:  ocaml-lablgtk2-devel
BuildRequires:  gtk2-devel 
BuildRequires:  libgnomecanvas2-devel

%global __ocaml_requires_opts -i Sig

%description
Ocamlgraph provides several different implementations of graph data
structures. It also provides implementations for a number of classical
graph algorithms like Kruskal's algorithm for MSTs, topological
ordering of DAGs, Dijkstra's shortest paths algorithm, and
Ford-Fulkerson's maximal-flow algorithm to name a few. The algorithms
and data structures are written functorially for maximal
reusability. Also has input and output capability for Graph Modeling
Language file format and Dot and Neato graphviz (graph visualization)
tools.

%package        devel
Summary:        Development files for %{name}
Requires:       %{name} = %{EVRD}

%description    devel
The %{name}-devel package contains libraries and signature files for
developing applications that use %{name}.

%prep
%setup -q -n ocamlgraph-%{version}
cp %{SOURCE1} .

%build
./configure --prefix=%{_prefix} --mandir=%{_mandir} --libdir=%{_libdir}

make depend
make all OCAMLBEST=opt OCAMLOPT=ocamlopt.opt
make doc

%check
make --no-print-directory check >& test
diff test ocamlgraph-test.result

%install
mkdir -p %{buildroot}%{_libdir}/ocaml
make OCAMLFIND_DESTDIR=%{buildroot}%{_libdir}/ocaml install-findlib

mv doc/ api-doc

%files
%doc README LICENSE COPYING CREDITS CHANGES FAQ
%{_libdir}/ocaml/ocamlgraph/
%exclude %{_libdir}/ocaml/*/*.a
%exclude %{_libdir}/ocaml/*/*.cmxa
%exclude %{_libdir}/ocaml/*/*.cmx
%exclude %{_libdir}/ocaml/*/*.mli

%files devel
%doc api-doc/
%doc tests/
%doc examples/
%{_libdir}/ocaml/*/*.a
%{_libdir}/ocaml/*/*.cmxa
%{_libdir}/ocaml/*/*.cmx
%{_libdir}/ocaml/*/*.mli


%changelog
* Mon Sep 26 2016 pterjan <pterjan> 1.8.6-2.mga6
+ Revision: 1056425
- Rebuild for fix in ocaml

* Mon Feb 01 2016 pterjan <pterjan> 1.8.6-1.mga6
+ Revision: 930821
- Update test output
- Update to 1.8.6

* Wed Oct 21 2015 tv <tv> 1.8.5-5.mga6
+ Revision: 893238
- rebuild with fixed deps

* Wed Oct 15 2014 umeabot <umeabot> 1.8.5-4.mga5
+ Revision: 750943
- Second Mageia 5 Mass Rebuild

* Wed Sep 24 2014 malo <malo> 1.8.5-3.mga5
+ Revision: 724303
- fix auto requires

* Tue Sep 16 2014 umeabot <umeabot> 1.8.5-2.mga5
+ Revision: 683074
- Mageia 5 Mass Rebuild

* Wed Sep 03 2014 malo <malo> 1.8.5-1.mga5
+ Revision: 671345
- update to 1.8.5 (patch upstreamed)

* Sat Oct 19 2013 umeabot <umeabot> 1.8.3-3.mga4
+ Revision: 534961
- Mageia 4 Mass Rebuild

  + blue_prawn <blue_prawn>
    - added scm link in comment

* Mon Sep 16 2013 malo <malo> 1.8.3-2.mga4
+ Revision: 480314
- rebuild for new ocaml

* Sun Jun 09 2013 malo <malo> 1.8.3-1.mga4
+ Revision: 441348
- update to 1.8.3

* Sun Jan 13 2013 umeabot <umeabot> 1.8.2-3.mga3
+ Revision: 361509
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Dec 04 2012 malo <malo> 1.8.2-2.mga3
+ Revision: 326526
- rebuild for new ocaml

* Tue Oct 02 2012 blue_prawn <blue_prawn> 1.8.2-1.mga3
+ Revision: 302170
- rebuild last version 1.8.2
- updated to last version 1.8.2

* Tue Oct 02 2012 blue_prawn <blue_prawn> 1.8.1-2.mga3
+ Revision: 302164
- rebuild for new ocaml 4.00
- new rpm group for ocaml
- allow successive builds with rpmbuild

* Thu Nov 17 2011 malo <malo> 1.8.1-1.mga2
+ Revision: 168392
- missing BuildRequires libgnomecanvas2-devel
- new version 1.8.1
- rediff installation patch

* Sun Oct 02 2011 fwang <fwang> 1.7-2.mga2
+ Revision: 150926
- rebuild for new ocaml

* Fri Apr 08 2011 ennael <ennael> 1.7-1.mga1
+ Revision: 82453
- fix release
- ibuild requires switched to gtk2
- clean spec file
- imported package ocaml-ocamlgraph


* Thu Apr 07 2011 Per Øyvind Karlsen <peroyvind@mandriva.org> 1.7-1
+ Revision: 651775
- imported package ocaml-ocamlgraph

* Mon Dec 06 2010 Oden Eriksson <oeriksson@mandriva.com> 1.1-2mdv2011.0
+ Revision: 613134
- the mass rebuild of 2010.1 packages

* Mon Aug 10 2009 Florent Monnier <blue_prawn@mandriva.org> 1.1-1mdv2010.0
+ Revision: 413683
- new tarball
- new version

* Sun Jun 28 2009 Guillaume Rousse <guillomovitch@mandriva.org> 1.0-3mdv2010.0
+ Revision: 390297
- rebuild

* Tue Feb 03 2009 Florent Monnier <blue_prawn@mandriva.org> 1.0-2mdv2010.0
+ Revision: 337142
- The initial RPM release was made from the fedora rpm .spec file (revision 1.4) by Richard W.M. Jones

* Fri Jan 09 2009 Florent Monnier <blue_prawn@mandriva.org> 1.0-1mdv2009.1
+ Revision: 327773
- import ocaml-ocamlgraph


